CCRmtype (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.clearcase, class: CCRmtype

Package org.apache.tools.ant.taskdefs.optional.clearcase

# Class CCRmtype

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
org.apache.tools.ant.taskdefs.optional.clearcase.CCRmtype

All Implemented Interfaces:
  `Cloneable`

public class CCRmtype extends ClearCase
Task to perform rmtype command to ClearCase.

The following attributes are interpreted:

Task attributes
Attribute | Values | Required
--- | --- | ---
typekind | The kind of type to create. Valid types are: attype attribute type brtype branch type eltype element type hltype hyperlink type lbtype label type trtype trigger type | Yes
typename | The name of the type to remove | Yes
vob | Name of the VOB | No
ignore | Used with trigger types only. Forces removal of trigger type even if a pre-operation trigger would prevent its removal | No
rmall | Removes all instances of a type and the type object itself | No
comment | Specify a comment. Only one of comment or cfile may be used. | No
commentfile | Specify a file containing a comment. Only one of comment or cfile may be used. | No
failonerr | Throw an exception if the command fails. Default is true | No

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static String`
  `FLAG_COMMENT`
  -c flag -- comment to attach to the file
  `static String`
  `FLAG_COMMENTFILE`
  -cfile flag -- file containing a comment to attach to the file
  `static String`
  `FLAG_FORCE`
  -force flag -- suppresses confirmation prompts
  `static String`
  `FLAG_IGNORE`
  -ignore flag -- ignore pre-trigger operations when removing a trigger type
  `static String`
  `FLAG_NOCOMMENT`
  -nc flag -- no comment is specified
  `static String`
  `FLAG_RMALL`
  -rmall flag -- removes all instances of a type and the type object itself

  ### Fields inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

  `COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_LOCK, COMMAND_LSCO, COMMAND_MKATTR, COMMAND_MKBL, COMMAND_MKDIR, COMMAND_MKELEM, COMMAND_MKLABEL, COMMAND_MKLBTYPE, COMMAND_RMTYPE, COMMAND_UNCHECKOUT, COMMAND_UNLOCK, COMMAND_UPDATE`

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CCRmtype()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute()`
  Executes the task.
  `String`
  `getComment()`
  Get comment string
  `String`
  `getCommentFile()`
  Get comment file
  `boolean`
  `getIgnore()`
  Get ignore flag status
  `boolean`
  `getRmAll()`
  Get rmall flag status
  `String`
  `getTypeKind()`
  Get type-kind string
  `String`
  `getTypeName()`
  Get type-name string
  `String`
  `getVOB()`
  Get VOB name
  `void`
  `setComment​(String comment)`
  Set comment string
  `void`
  `setCommentFile​(String cfile)`
  Set comment file
  `void`
  `setIgnore​(boolean ignore)`
  Set the ignore flag
  `void`
  `setRmAll​(boolean rmall)`
  Set rmall flag
  `void`
  `setTypeKind​(String tk)`
  Set type-kind string
  `void`
  `setTypeName​(String tn)`
  Set type-name string
  `void`
  `setVOB​(String vob)`
  Set the VOB name

  ### Methods inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase

  `getClearToolCommand, getFailOnErr, getObjSelect, getViewPath, getViewPathBasename, run, runS, runS, setClearToolDir, setFailOnErr, setObjSelect, setViewPath`

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FLAG_IGNORE

    public static final String FLAG_IGNORE
    -ignore flag -- ignore pre-trigger operations when removing a trigger type
    See Also:
      Constant Field Values

  - ### FLAG_RMALL

    public static final String FLAG_RMALL
    -rmall flag -- removes all instances of a type and the type object itself
    See Also:
      Constant Field Values

  - ### FLAG_FORCE

    public static final String FLAG_FORCE
    -force flag -- suppresses confirmation prompts
    See Also:
      Constant Field Values

  - ### FLAG_COMMENT

    public static final String FLAG_COMMENT
    -c flag -- comment to attach to the file
    See Also:
      Constant Field Values

  - ### FLAG_COMMENTFILE

    public static final String FLAG_COMMENTFILE
    -cfile flag -- file containing a comment to attach to the file
    See Also:
      Constant Field Values

  - ### FLAG_NOCOMMENT

    public static final String FLAG_NOCOMMENT
    -nc flag -- no comment is specified
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### CCRmtype

    public CCRmtype()

- ## Method Details

  - ### execute

    public void execute() throws BuildException
    Executes the task.

    Builds a command line to execute cleartool and then calls Exec's run method to execute the command line.

    Overrides:
      `execute` in class `Task`
    Throws:
      `BuildException` - if the command fails and failonerr is set to true

  - ### setIgnore

    public void setIgnore​(boolean ignore)
    Set the ignore flag
    Parameters:
      `ignore` - the status to set the flag to

  - ### getIgnore

    public boolean getIgnore()
    Get ignore flag status
    Returns:
      boolean containing status of ignore flag

  - ### setRmAll

    public void setRmAll​(boolean rmall)
    Set rmall flag
    Parameters:
      `rmall` - the status to set the flag to

  - ### getRmAll

    public boolean getRmAll()
    Get rmall flag status
    Returns:
      boolean containing status of rmall flag

  - ### setComment

    public void setComment​(String comment)
    Set comment string
    Parameters:
      `comment` - the comment string

  - ### getComment

    public String getComment()
    Get comment string
    Returns:
      String containing the comment

  - ### setCommentFile

    public void setCommentFile​(String cfile)
    Set comment file
    Parameters:
      `cfile` - the path to the comment file

  - ### getCommentFile

    public String getCommentFile()
    Get comment file
    Returns:
      String containing the path to the comment file

  - ### setTypeKind

    public void setTypeKind​(String tk)
    Set type-kind string
    Parameters:
      `tk` - the type-kind string

  - ### getTypeKind

    public String getTypeKind()
    Get type-kind string
    Returns:
      String containing the type-kind

  - ### setTypeName

    public void setTypeName​(String tn)
    Set type-name string
    Parameters:
      `tn` - the type-name string

  - ### getTypeName

    public String getTypeName()
    Get type-name string
    Returns:
      String containing the type-name

  - ### setVOB

    public void setVOB​(String vob)
    Set the VOB name
    Parameters:
      `vob` - the VOB name

  - ### getVOB

    public String getVOB()
    Get VOB name
    Returns:
      String containing VOB name